Jump to content

Recommended Posts

Hi all,

Here we are my little free project and very useful to get the TinyMCE editor fully with more buttons, features, new looks, plugins, and with optimized html code.

 

The Prestashop default editor comes very simple, with no much features, fews buttons, hidden functions, etc... When we edit a content, we can find some difficulties to do it, and we haven't got very useful functions we need at time to edit. With this module you get all features you need, all buttons you need to edit, useful plugins, and so much more...

** This FREE module is designed for Prestashop version 1.6.0.12 and newest 1.6.1.X.

** PRO version is compatible with Prestashop 1.6 and 1.7

 

INSTALLATION

Installation as usual in Prestashop. You have the option to upload the module from Back-office or with manual method copying files by FTP.

IMPORTANT

- If you update your Prestashop version, you will need restart the module or unistall and the install again, so the module will copy the files again. (next versions we add the function to do it this automatically).

- After module installs you need to refresh your browser and clean browser cache with CTRL+F5, otherwise, maybe chages will not have effects.

- If you have a module version older than V2.7.5 you must unistall previous version before installing new version.

 

 

SuperTinyMCE (free version)

Features

- Automatic installation. You don't have to copy and override files manually.

- Makes backup copy of original Prestashop files and save them in supertinymce/backup/. When you unistall the module this files are restored.

- Plugins added.

- Customized skin.

- Functions added.

- Optimized editor.

- Customized settings.

- Added compatibility with Shortcode modules (on sale in Codecanyon.net)

 

DOWNLOAD FREE MODULE

  • SuperTinyMCE V2.7.6.6 (22/09/2015) NOT AVAILABLE BECAUSE OF ITS DEPRECATED SOURCE CODE

NOTE: We don't just give support for free version. This free version is not updated and for new versions of Prestashop, maybe is not compatible or could have some issues. if you want to get support, you should buy the pro version in Prestashop addons. PRO version is updated and we are developing it continuosly to offer best features, full compatibility and more...

 

SuperTinyMCE PRO

 

module_box.png

 

This module has been approved on Prestashop Addons

 

Prestashop1.6_logo.jpgPrestashop1.7_logo.jpg

 

addons.png

 

 

YOU CAN TEST IT ON A DEMO SHOP HERE!!
 

 

With this module you can edit your web content easy, simple and convenient way, taking all ordered buttons and functions at your fingertips, in addition to enjoying many more features with the added plugins. The most important thing is that you can configure all options from a full page configuration module. You can also enjoy 699 font family types, so you can edit your content without restrictions fonts and includes Bootstrap element editor.

 

 

MAIN FEATURES
 
- Based on the latest official TinyMCE editor.
- 8 new skins to improve the editor appearance and enhanced viewing even in full page.
- 699 new family fonts (Similar as Microsoft Word!!!).
- more than 50 link buttons with deluxe styles.
- Extra styles formats.
- Icons Fontawesome, glyphicons, Dashicons, Foundation icons and Graphic icons.
- Animations elements.
- Easy configuration.
- Added more than 24 additional plugins (Fontawesome, backup content, QR generator, Youtube, File Manager, save content, math formulas, google+ images,  etc...).
- Bootstrap plugin with professional features.
- File Manager with extra function to edit images, possibility to navigate into whole Prestashop directory and function to add image from external website url.
- New spell checker multi-language dictionary.
- Fixed issues happens with editor default Prestashop.
- HTML code optimized.
- Improved CSS Code.
- Advanced Configuration page from the Back-office.
- Function Buttons utility and Advanced addons panel to install/uninstall/update addons to last version
- Uninstall function without residual files.
- Adds SupertinyMCE PRO editor in CMS category descriptions (only for PS1.6)
- Pack downloadable smileys icons from the Back-Office.
- Spell checker dictionaries with update function.
- Added support for modules that use Shortcode editor.
- Extra tabs modules compatiblity.
- AP page builder module compatibility.
- Visual composer module compatibility.
- Smartshortcode module compatibility.
- COMPATIBLE WITH ALL MODULES THAT USE PRESTASHOP EDITOR BY DEFAULT.
- ADVANCED MESSAGE SYSTEM WITH ERROR AND WARNING CODE.
- COMPATIBLE WITH PS1.6 AND PS1.7.
 
And more features...................
 
 
post-266486-0-98057300-1490306903_thumb.jpg
Edited by LieBM (see edit history)
  • Like 6

Share this post


Link to post
Share on other sites

Excellent module.

A plus for Prestashop community.

Tested on PS 1.6.0.13 and works as it is described.

Thank you for this great module and keep up the good work and keep it free  :rolleyes:

Thanks for your feedback. This module will be free but one day I will release a Pro version because these future improvements and plugins will cost money for me...But meanwhile I can search free plugins or build own plugins..then It will be free.

 

Best regards!!

Share this post


Link to post
Share on other sites

One short question.

What is that D icon near -FieldSet from your screenshot ?

I don't have it in v2.7.6.5

Thanks,

this icon is realted with Shortcode module of codecanyon http://codecanyon.net/item/prestashop-short-code/8470937

 

My module detects if you have installed this module, then this button is added, if not you will not see this button. I recommend this module of shortcode,it is useful.

 

Share this post


Link to post
Share on other sites

Hello,

 

Is very strange what i encounter. 

On one hosting and on my localhost this module works without issues and on another hosting I can't get it be ok. I mean installation is fine but when i enter in product, or CMS it does not appear, only white space. Believe me i tried everything.

 

on php_error_log I get: [sat Sep 26 08:42:36 2015] [warn] [client IP] mod_fcgid: stderr: PHP Parse error:  syntax error, unexpected 'array' (T_ARRAY), expecting ')' in /home/folder name/public_html/js/retro-compat.js.php on line 71, referer: ./site/admin_folder/index.php?controller=AdminProducts&id_product=1&updateproduct&token=

Strange thing is that I don't think that this error is the cause that the tiny don't show up and I think is more something related to PHP settings .... I just copy all site inside localhost and the module works. Ofc the php_error still show up. :( but at least the tiny show up

 

More then that after i install it i get in php error log; File does not exist: ./public_html/js/tiny_mce/skins/prestashop/img, referer: /js/tiny_mce/skins/prestashop/content.min.css

Strange is that the error is cause by the missing folder /img .. after i add it i dont get it anymore. So strange is that until now I did't had this folder.

 

Is same PS version, same files ....is so so strange ....

Any ideas how can i make it work ? Or about these error errors ?

 

Best regards,

Edited by eldermaster (see edit history)

Share this post


Link to post
Share on other sites

Hi,

 

the first message error is not related with the module. It is possible that in your new server you have not installed all php extensions as you had installed in your local or old hosting. Ask to your hosting provider if you have installed the module mod_fcgid of apache and you have it enabled from your hosting panel.

Sintax error is an error when there is something wrong written in any file, but In this case probably your php doesn't recognize the expressions. I am sure you should install mod_fcgid and all apache mod to be sure working ok in your Prestashop.

the second: php error log; File does not exist: ./public_html/js/tiny_mce/skins/prestashop/img, referer: /js/tiny_mce/skins/prestashop/content.min.css

 

The folder /js/tiny_mce/skins/prestashop/img doesn't exist in Prestashop therefore something is wrong when something is calling to this folder (nonexisted). My module doesn't modify anything from /js/tiny_mce/skins/prestashop/ folder, therefore it is not a problem from this module.

My module uses zip functions to unzip some essential folders to get work this module. This folders are plugin folders installed in js/tiny_mce/plugins and new skins installed in js/tiny_mce/skins.


Be sure that in your hosting you have the extension php_zip enabled if not, These folders won't install and module won't work.

 

by the way, please when you access into the product editor and the tiny editor doesn't work and get in blank, please push F12 in (mozilla firefox or chrome) and click to console option and select JS filter. It shows all JS conflicts and I can know better the problem.


 

Share this post


Link to post
Share on other sites

Thak you Joaquín,

I doubled checked and see the results:

 

1. content.min.css have a reference to a URL: inside file is .mce-object {border: 1px dotted #3A3A3A;background: #d5d5d5 url(img/object.gif) no-repeat center) - don't why ....but that img folder was never there from ps 1.6.01. I don't care anymore because of point 3

 

2. mod_fcgid and php_zip were always enabled

 

3. error fix: what caused the blank and disappearing of tiny was that i have the shop in another language. So the plugins localautosave and fontawesome requires to have the file of language used in shop, inside their lang directory. Without them the module will not load the interface. I created the files and now everything is ok. I don't know why on localhost I don't have this problem. Maybe because he look on local settings ? Anyway, if anyone will happen the same, this is how you solve this type of issue.

 

4. Of the record for people who uninstall the module and don't install anymore (hope will not be the case because is a nice module), just recreate manually the folder cache inside your theme. if you have smarty enabled you will need it.

 

I will monitor this warning 

[warn] [client IP] mod_fcgid: stderr: PHP Parse error:  syntax error, unexpected 'array' (T_ARRAY), expecting ')' in /home/site/public_html/js/retro-compat.js.php on line 71

to see why sometimes pop up in log and sometime not when i save the product description. What i found is that if i uninstall the module this warning stops, if i keep the module i get this warning. 

Anyway I will keep and just ignore for the moment this stupid warning...maybe we will find the cause in the end.

 

Best regards,

Edited by eldermaster (see edit history)
  • Like 1

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Thak you Joaquín,

I doubled checked and see the results:

 

1. content.min.css have a reference to a URL: inside file is .mce-object {border: 1px dotted #3A3A3A;background: #d5d5d5 url(img/object.gif) no-repeat center) - don't why ....but that img folder was never there from ps 1.6.01. I don't care anymore because of point 3

 

2. mod_fcgid and php_zip were always enabled

 

3. error fix: what caused the blank and disappearing of tiny was that i have the shop in another language. So the plugins localautosave and fontawesome requires to have the file of language used in shop, inside their lang directory. Without them the module will not load the interface. I created the files and now everything is ok. I don't know why on localhost I don't have this problem. Maybe because he look on local settings ? Anyway, if anyone will happen the same, this is how you solve this type of issue.

 

4. Of the record for people who uninstall the module and don't install anymore (hope will not be the case because is a nice module), just recreate manually the folder cache inside your theme. if you have smarty enabled you will need it.

 

I will monitor this warning 

[warn] [client IP] mod_fcgid: stderr: PHP Parse error:  syntax error, unexpected 'array' (T_ARRAY), expecting ')' in /home/site/public_html/js/retro-compat.js.php on line 71

to see why sometimes pop up in log and sometime not when i save the product description. What i found is that if i uninstall the module this warning stops, if i keep the module i get this warning. 

Anyway I will keep and just ignore for the moment this stupid warning...maybe we will find the cause in the end.

 

Best regards,

Hi,

 

the point Nº3, I will check it to fix it in the next version.

 

The point Nº4, this module deletes the cache folders and copies the folder again with index.php file inside, each time you unistall and install de module, this is the way to clean smarty cache. You don't need to create the folder manually, the module just creates this folder.

 

Older versions had the problem that If a customer install this module and doesn't clean smarty cache manually, then the new editor changes was not effective in Back-office, and then to fix this problem, I decided to add the feature to clean smarty cache automatically from this new module version.

 

Regards!

Share this post


Link to post
Share on other sites
I installed the Super TinyMCE V2.7.6.6 (09.22.2015), in my shop PS1.6.0.14

After installation and activation is no editor visible.

Uninstalled module and removed it, but now I do not get back the original editor

So for the moment I have no functioning editor.

How do I get back the original editor?

Share this post


Link to post
Share on other sites

 

I installed the Super TinyMCE V2.7.6.6 (09.22.2015), in my shop PS1.6.0.14
After installation and activation is no editor visible.
Uninstalled module and removed it, but now I do not get back the original editor
So for the moment I have no functioning editor.
How do I get back the original editor?

 

Did you see any error massage during installation?. Your shop is in local or in a hosting server?. This module has been tested and everything works ok. Maybe your php version doesn't have some essential extensions.

 

This module backup original files before installing to restore original files when unistalling module, so It is very strange you tell me that you don't have original editor after uninstalling module.

 

If you send me by private message your credentials to access into your shop files, I can know more than this problem and fix it.

Share this post


Link to post
Share on other sites

Hi could you verify your module so we can even use it on prestashop cloud ? :)

Hi,

 

maybe next versions with more features, I will send this module to prestashop for verification.

Share this post


Link to post
Share on other sites

Did you see any error massage during installation?. Your shop is in local or in a hosting server?. This module has been tested and everything works ok. Maybe your php version doesn't have some essential extensions.

 

This module backup original files before installing to restore original files when unistalling module, so It is very strange you tell me that you don't have original editor after uninstalling module.

 

If you send me by private message your credentials to access into your shop files, I can know more than this problem and fix it.

Hi,

No error massage During installation.
My shop is in a hosting server.
I have reinstalled the original directory Tiny_mce, so now it works with the "old" editor.
Error log, in JS, wiev the following error,  may it cause problem?
 
[11-Oct-2015 16:46:08 America / New_York] PHP Parse error: syntax error, unexpected 'array' (T_ARRAY), expecting ')' in /home/xxxxxx/public_html/xxxxxxxxx.se/shop/js/ retro-compat.js.php on line 71
  • Like 1

Share this post


Link to post
Share on other sites

 

Hi,

No error massage During installation.
My shop is in a hosting server.
I have reinstalled the original directory Tiny_mce, so now it works with the "old" editor.
Error log, in JS, wiev the following error,  may it cause problem?
 
[11-Oct-2015 16:46:08 America / New_York] PHP Parse error: syntax error, unexpected 'array' (T_ARRAY), expecting ')' in /home/xxxxxx/public_html/xxxxxxxxx.se/shop/js/ retro-compat.js.php on line 71

 

 

Hi,

 

 think It is not the reason for your problem. Please, can you check if you have the file tinymce.inc.js in the directory js/tiny_mce/admin/?

Share this post


Link to post
Share on other sites

Hi,

 

 think It is not the reason for your problem. Please, can you check if you have the file tinymce.inc.js in the directory js/tiny_mce/admin/?

 

Also a very important thing is after installation, go to  tinymce editor (for example cms section) and push CTRL+F5 to clean browser cache, if not the changes in the editor won't be effective to see in BO. Maybe It is your problem..

Share this post


Link to post
Share on other sites

Also I would like people who test my module, report If It is working ok with what PS version and suggestions to add features.

People only write here when have a problem but not write to give you thanks for this free module.

Share this post


Link to post
Share on other sites

Also a very important thing is after installation, go to  tinymce editor (for example cms section) and push CTRL+F5 to clean browser cache, if not the changes in the editor won't be effective to see in BO. Maybe It is your problem..

Of course,  we are very grateful for the work that you put on the nice free module. :)
Back to my problem
I have no directory "admin" in js / tiny_mce /
But in the directory js / admin/ is the file tinymce.inc.js
Should I create an admin directory in js / tiny_mce / and put there the file tinymce.inc.js also?

Share this post


Link to post
Share on other sites

Instale el modulo supertinymce V2.7.6.6 y me salio el siguiente error de instalación en el backoffice:

 

El siguiente(s) módulo(s) no pudieron instalarse correctamente:

  • supertinymce : 
        Incapaz de instalar con control manual : The method isCleanHtml in the class Validate is already overriden.

.

 

Agradezco el apoyo  Saludos desde Perú

Share this post


Link to post
Share on other sites

Instale el modulo supertinymce V2.7.6.6 y me salio el siguiente error de instalación en el backoffice:

 

El siguiente(s) módulo(s) no pudieron instalarse correctamente:

  • supertinymce : 

        Incapaz de instalar con control manual : The method isCleanHtml in the class Validate is already overriden.

.

 

Agradezco el apoyo  Saludos desde Perú

Ese es un mensaje que sale si ya tienes el archivo validate.php en override. Cuando salga ese mensaje tienes que volver a pulsar instalar el módulo y automáticamente se instala combinando el contenido del archivo valdiate.php que ya tienes en el override. Si a la segunda vez que pulses instalar, te sigue enviando este mensaje, entonces tienes que limpiar la caché de Prestashop y ya se soluciona.

 

Saludos

Share this post


Link to post
Share on other sites

 

Of course,  we are very grateful for the work that you put on the nice free module. :)
Back to my problem
I have no directory "admin" in js / tiny_mce /
But in the directory js / admin/ is the file tinymce.inc.js
Should I create an admin directory in js / tiny_mce / and put there the file tinymce.inc.js also?

 

I am sorry I meant js/admin/, so If you have this folder and the file is inside, then you have apparently all ok. Please try to install agian the module and when you go to the editor, please push CTRL+F5 to clean browser cache. If the editor is still hidden with problems, then push F12 to open the console to see JS errors and the push again CTRL+F5 and copy the error message and send me it.

  • Like 1

Share this post


Link to post
Share on other sites

Hola Joaquin gracias por la pronta respuesta ahora toda la tienda se me ha puesto mal con pantallasos en blanco active los errores y me sale esto en el front:

 

Warning: file_get_contents(/home/neohaden/public_html/cache/smarty/compile/b8/be/13/b8be1398f4716ba2387c0da64d9650e748d6c26a.file.blockcms.tpl.cache.php): failed to open stream: No such file or directory in /home/neohaden/public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 156

Fatal error: Uncaught --> Smarty: Invalid compiled template for '/home/neohaden/public_html/themes/default-bootstrap/modules/blockcms/blockcms.tpl' <-- thrown in/home/neohaden/public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 182

 

y en el back office me sale estos errores:

que adjunto en una hoja de texto.

 

 

Agradezco infinitamente el apoyo no se que sucedio .

 

Saludos

 

errores.txt

Share this post


Link to post
Share on other sites

Hola Joaquin gracias por la pronta respuesta ahora toda la tienda se me ha puesto mal con pantallasos en blanco active los errores y me sale esto en el front:

 

Warning: file_get_contents(/home/neohaden/public_html/cache/smarty/compile/b8/be/13/b8be1398f4716ba2387c0da64d9650e748d6c26a.file.blockcms.tpl.cache.php): failed to open stream: No such file or directory in /home/neohaden/public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 156

 

Fatal error: Uncaught --> Smarty: Invalid compiled template for '/home/neohaden/public_html/themes/default-bootstrap/modules/blockcms/blockcms.tpl' <-- thrown in/home/neohaden/public_html/tools/smarty/sysplugins/smarty_internal_templatebase.php on line 182

 

y en el back office me sale estos errores:

que adjunto en una hoja de texto.

 

 

Agradezco infinitamente el apoyo no se que sucedio .

 

Saludos

 

Buenas,

 

los errores que aparecen no tienen relación con el módulo SuperTinyMCE, de hecho hay errores con la expresión"$price" y dicha expresión no existe en mi módulo. También veo que en los errores sale blockcms.tpl, eso no pertenece a mi módulo si no al módulo "blockcms"

 

Cuando activas la opción DEBUG, muchas veces salen errores y conflictos con otros módulos que no tienen nada que ver.

 

Lo de los pantallazos en blanco no tiene sentido, de hecho ¿descríbeme mejor esos pantallazos en blanco?.  Mi módulo está testeado en 1.6.1.0 y 1.6.1.1 y de hecho es el que utilizo para mi tienda y todo funciona perfecto sin esos problemas que me estáis reportando.

 

En la gran mayoría de ocasiones estáis reportando problemas que no tienen nada que ver con el módulo.

 

English

 

Hi,

 

these errors haven't got any relation with my module SuperTinyMCE, in fact you have errors with expression "$price" and this expressión doesn't exist in my module. Also Those error messages show about "blockcms.tpl" but It is from my module, the module with conflicts is "Blockcms" module.

 

When you enable DEBUG option, you can see a lot of errors and js conflicts but it doesn't mean that is from my module. Your shop could have more conflicts from another modules.

 

you tell me about blank display but It doesn't make sense....My module is tested with 1.6.1.0 and 1.6.1.1 and everything is OK, in fact I am using this module in my shop.

 

In most cases everybody is reporting issues that is not related with my module.

 

  • Like 1

Share this post


Link to post
Share on other sites

Hola Joaquin disculpa por adelantar opinion sin embargo todo esto no me habia sucedido antes tendra que ver con que haya activado la opcion ZIP de PHP y ademas haya aumentado el limite de memoria a 512 en mi servidor, esto lo hice para instalar el modulo, la verdad no se que hacer ahora la tienda esta caida, ojala puedas echarme un cable.

 

Saludos

Share this post


Link to post
Share on other sites

I am sorry I meant js/admin/, so If you have this folder and the file is inside, then you have apparently all ok. Please try to install agian the module and when you go to the editor, please push CTRL+F5 to clean browser cache. If the editor is still hidden with problems, then push F12 to open the console to see JS errors and the push again CTRL+F5 and copy the error message and send me it.

Hi again,
I suspected that the file was in the right place.
I push CTRL + F5 to clean browser cache, then push F12 to open the console to see JS errors but no error message appeared.
Will come with a private message with your credentials to access into my shop files,
need u access to the BO also?
Is away for a few days but will contact you later
BR and Tks

Share this post


Link to post
Share on other sites

Hola Joaquin disculpa por adelantar opinion sin embargo todo esto no me habia sucedido antes tendra que ver con que haya activado la opcion ZIP de PHP y ademas haya aumentado el limite de memoria a 512 en mi servidor, esto lo hice para instalar el modulo, la verdad no se que hacer ahora la tienda esta caida, ojala puedas echarme un cable.

 

Saludos

tienes un mensaje privado

Share this post


Link to post
Share on other sites

 

Hi again,
I suspected that the file was in the right place.
I push CTRL + F5 to clean browser cache, then push F12 to open the console to see JS errors but no error message appeared.
Will come with a private message with your credentials to access into my shop files,
need u access to the BO also?
Is away for a few days but will contact you later
BR and Tks

 

Hi,

 

give me access to your BO and FTP, that will be enought. Send me private message.

Share this post


Link to post
Share on other sites

Despues de instalar el El editor me aparece asi no se si en algo ayude con mi problema . Gracias Joaquin

Ese es el editor antiguo pero con el skin nuevo. ¿Dónde están esos pantallazos en blanco?.

 

Te he enviado un privado, mándame las credenciales y te lo resuelvo en un plis. Porque no puedo estar pendiente del foro todo el tiempo.

Share this post


Link to post
Share on other sites
Hi Joaquin, forcing template compilation and apparently everything was resolved and now I appear all options SupertinyMCE I hope everything stays that way.

Thanks for the support if it happens again bother you by TeamViewer 10

Share this post


Link to post
Share on other sites

 

Hi Joaquin, forcing template compilation and apparently everything was resolved and now I appear all options SupertinyMCE I hope everything stays that way.
Thanks for the support if it happens again bother you by TeamViewer 10

 

For that I told you that so many problems are not  from my module. ALWAYS you make changes in your BO or FO, you should do the following:

 

- Clean Browser Cache

- Clean Prestashop Cache

- Force compilation

 

3 essential steps, if not, many modifications won't be effective and not visible.

 

You see, my module was not the problem...

  • Like 1

Share this post


Link to post
Share on other sites

The module goes great, now do not know if my prestashop 1.6.1.0 upgrade to the latest version 1.6.1.1

 

I suggest using 1.6.1.0 Stable, 1.1 and higher at the time of this writing are 'not' stable.  Happy day, el

Share this post


Link to post
Share on other sites

I suggest using 1.6.1.0 Stable, 1.1 and higher at the time of this writing are 'not' stable.  Happy day, el

I have Ps 1.6.1.1 and goes nice, by the momento any critical bugs.

Share this post


Link to post
Share on other sites

Hi,

 

give me access to your BO and FTP, that will be enought. Send me private message.

Hi,
if you have the time and opportunity we can link up with TeamViewer version 10
I installed a copy of the store that we can debug.
Check back with time to connect, to get the ID and password for TeamViewer
BR 
Jan

Share this post


Link to post
Share on other sites

 

Hi,
if you have the time and opportunity we can link up with TeamViewer version 10
I installed a copy of the store that we can debug.
Check back with time to connect, to get the ID and password for TeamViewer
BR 
Jan

 

 

you have not enable the option to send you a private message...

 

send me a private message indicating your skype profile, so It is faster to meet you and then coordinate the time to make the connection with teamviewer

Edited by JoaquinBM (see edit history)

Share this post


Link to post
Share on other sites

you have not enable the option to send you a private message...

 

send me a private message indicating your skype profile, so It is faster to meet you and then coordinate the time to make the connection with teamviewer

Thanks for your help, after your modification to language: "en" in the file tinymce.inc.js everything works perfectly.
I am very impressed by your module, and the great support you give me. :)
BR
Jan

Share this post


Link to post
Share on other sites

Hi all,

 

Here we are my little free project and very useful to get the TinyMCE editor fully with more buttons, features, new looks, plugins, and with optimized html code.

 

The Prestashop default editor comes very simple, with no much features, fews buttons, hidden functions, etc... When we edit a content, we can find some difficulties to do it, and we haven't got very useful functions we need at time to edit. With this module you get all features you need, all buttons you need to edit, useful plugins, and so much more...

 

** This module is designed for Prestashpo version 1.6.0.12 and newest 1.6.1.X

 

 

INSTALLATION

 

Installation as usual in Prestashop. You have the option to upload the module from Back-office or with manual method copying files by FTP.

 

IMPORTANT

 

- If you update your Prestashop version, you will need restart the module or unistall and the install again, so the module will copy the files again. (next versions we add the function to do it this automatically).

 

- After module installs you need to refresh your browser and clean browser cache with CTRL+F5, otherwise, maybe chages will not have effects.

 

- If you have a module version older than V2.7.5 you must unistall previous version before installing new version.

 

 

 

SuperTinyMCE

 

 

attachicon.gifSupertinymce.jpg

 

 

Features

 

- Automatic installation. You don't have to copy and override files manually.

- Makes backup copy of original Prestashop files and save them in supertinymce/backup/. When you unistall the module this files are restored.

- Plugins added.

- Customized skin.

- Functions added.

- Optimized editor.

- Customized settings.

- Added compatibility with Shortcode modules (on sale in Codecanyon.net)

 

 

IN NEW RELEASES (V.2.8.0 >=):

- Added function to clean cache after install and unistall.  (Added in version 2.7.5)

- Added function to add code in override existing files insteat to override file. (Added in version 2.7.5)

- Configuration page in Back Office.

- Add more plugins.

- Add extend list of fonts.

- Add compatibility with PS1.5.

- Add more customized skins to choose.

 

 

DOWNLOAD MODULE

 

 

 

CHANGELOG

 

 

Version 2.7.6.6 (20/09/2015)

 

- [ADD] Code improvements to show a warning if you don't have the css code essential to work with Fontawesome and give instructions to add it.

- [ADD] Code improvements to show a warning if you install the Boostrap shortcode module (codecanyon.net) after installing this module, then I gives you instructions to override a essential file.

 

 

Version 2.7.6.5 (20/09/2015)

 

- [ADD] Code improvements to show a warning if the essential file of this module is lost or code corrupted.

 

 

Version 2.7.6 (20/09/2015)

 

- [ADD] Improvements in the editor content.

  • Extended contextmenu.
  • Statusbar enabled
  • Resize property enabled (to resize both, vertically and horizontally)
  • Css optimized for full page editor
  • Buttons placed in order and extended functions

- [ADD] More font size in the dropdown.

- [FIX] Contextmenu issues

- [ADD] Function to add the code in the existing Validate.php override file instead to override it.

- [ADD] Function to get a warning message if the file Validate.php is missed or corrupted

- [ADD] Clean cache (Smarty, Compile and theme cache) After installing and before installing.

- [FIX] Visual issues in themes with no .fa code in global.css essential to see Fontawesome icons

 

- [ADD] New plugins

.Fontawesome

.Imagefromweb (you can upload images from another websites and these are saved in the folder img/cms/imagesfromweb .created by this module automatically).

.Localautosave (Save content meanwhile you are editing, ready to save up to 15 backup files in local. You can restore the content in case of browser refresh or crash).

.Idv.cards (cards icons)

.Smileys (emoticons)

.fullpage (add fields for author,metas,description, etc.. information)

.wordcount (It counts the words written in the editor. It is located at right-footer of the editor)

.Fiedlsetcontrol ( a spoiler)

 

- [COMPATIBLE]  with "Shortcode Prestashop" module and "Boostrap Shortcode", you can buy it in codecanyon.net.

- [ADD] New Skin "pepper-grinder".

- Source code improvements.

- Compatible for PS1.6.0.12 and PS1.6.1.X

 

 

 

**We are working for PRO version (payment version) with professional plugins and more features.

Excellent outstanding module for the one who use to edit tinymce.js now its over everything working as you like

Share this post


Link to post
Share on other sites

Hi all,

 

Here we are my little free project and very useful to get the TinyMCE editor fully with more buttons, features, new looks, plugins, and with optimized html code.

 

The Prestashop default editor comes very simple, with no much features, fews buttons, hidden functions, etc... When we edit a content, we can find some difficulties to do it, and we haven't got very useful functions we need at time to edit. With this module you get all features you need, all buttons you need to edit, useful plugins, and so much more...

 

** This module is designed for Prestashpo version 1.6.0.12 and newest 1.6.1.X

 

 

INSTALLATION

 

Installation as usual in Prestashop. You have the option to upload the module from Back-office or with manual method copying files by FTP.

 

IMPORTANT

 

- If you update your Prestashop version, you will need restart the module or unistall and the install again, so the module will copy the files again. (next versions we add the function to do it this automatically).

 

- After module installs you need to refresh your browser and clean browser cache with CTRL+F5, otherwise, maybe chages will not have effects.

 

- If you have a module version older than V2.7.5 you must unistall previous version before installing new version.

 

 

 

SuperTinyMCE

 

 

attachicon.gifSupertinymce.jpg

 

 

Features

 

- Automatic installation. You don't have to copy and override files manually.

- Makes backup copy of original Prestashop files and save them in supertinymce/backup/. When you unistall the module this files are restored.

- Plugins added.

- Customized skin.

- Functions added.

- Optimized editor.

- Customized settings.

- Added compatibility with Shortcode modules (on sale in Codecanyon.net)

 

 

IN NEW RELEASES (V.2.8.0 >=):

- Added function to clean cache after install and unistall.  (Added in version 2.7.5)

- Added function to add code in override existing files insteat to override file. (Added in version 2.7.5)

- Configuration page in Back Office.

- Add more plugins.

- Add extend list of fonts.

- Add compatibility with PS1.5.

- Add more customized skins to choose.

 

 

DOWNLOAD MODULE

 

 

 

CHANGELOG

 

 

Version 2.7.6.6 (20/09/2015)

 

- [ADD] Code improvements to show a warning if you don't have the css code essential to work with Fontawesome and give instructions to add it.

- [ADD] Code improvements to show a warning if you install the Boostrap shortcode module (codecanyon.net) after installing this module, then I gives you instructions to override a essential file.

 

 

Version 2.7.6.5 (20/09/2015)

 

- [ADD] Code improvements to show a warning if the essential file of this module is lost or code corrupted.

 

 

Version 2.7.6 (20/09/2015)

 

- [ADD] Improvements in the editor content.

  • Extended contextmenu.
  • Statusbar enabled
  • Resize property enabled (to resize both, vertically and horizontally)
  • Css optimized for full page editor
  • Buttons placed in order and extended functions

- [ADD] More font size in the dropdown.

- [FIX] Contextmenu issues

- [ADD] Function to add the code in the existing Validate.php override file instead to override it.

- [ADD] Function to get a warning message if the file Validate.php is missed or corrupted

- [ADD] Clean cache (Smarty, Compile and theme cache) After installing and before installing.

- [FIX] Visual issues in themes with no .fa code in global.css essential to see Fontawesome icons

 

- [ADD] New plugins

.Fontawesome

.Imagefromweb (you can upload images from another websites and these are saved in the folder img/cms/imagesfromweb .created by this module automatically).

.Localautosave (Save content meanwhile you are editing, ready to save up to 15 backup files in local. You can restore the content in case of browser refresh or crash).

.Idv.cards (cards icons)

.Smileys (emoticons)

.fullpage (add fields for author,metas,description, etc.. information)

.wordcount (It counts the words written in the editor. It is located at right-footer of the editor)

.Fiedlsetcontrol ( a spoiler)

 

- [COMPATIBLE]  with "Shortcode Prestashop" module and "Boostrap Shortcode", you can buy it in codecanyon.net.

- [ADD] New Skin "pepper-grinder".

- Source code improvements.

- Compatible for PS1.6.0.12 and PS1.6.1.X

 

 

 

**We are working for PRO version (payment version) with professional plugins and more features.

I cant see the version 2.8 yet? I used to have the options showed here in attachment but yours one is far ahead is there any option for file attachment?

post-411458-0-20171200-1445041588_thumb.jpg

Share this post


Link to post
Share on other sites

Thanks. I am working with payment module version, when I finished I will inform everybody If want to buy it.

By the moment I will release one next version of this free module adding little features soon.

Share this post


Link to post
Share on other sites

I have finished the PRO version of this module. In next days I will release the link to adquire this payment version in codecanyon.com.

This version includes a lot of improvements:

- Full configuration page in BO

- Improvements in php code

- Compatibility PS 1.6.X

- Features to clean cache and restore default configuration with advanced buttons.

- 4 new skins

- compatibility improvements

- BUG fixed from free version

- Code generator feature to change the Prestashop file tinymce.inc.js and then to see the new editor with your parameters selected.

- language selector

- module language (spanish and english), next versions will include french, italian, etc.. (If anybody translate this module, we are thankful to get his translation)

- Nex versions I will add more proffesional plugins

in some days, I will send here the link to adquire this module in codecanyon. It includes 6 months support and lifetime updates.

 

  • Like 1

Share this post


Link to post
Share on other sites

HI, can you also check that it works with multi-shop, currently I have issue with other tinymce module, my products are all shared across multiple domains in ps multishop.  Now with other module I have to select a specific shop in order to update short/long prod.  description.

 

Knowing that this module is ps multishop compliant would be comforting.  thanks, el

Share this post


Link to post
Share on other sites

HI, can you also check that it works with multi-shop, currently I have issue with other tinymce module, my products are all shared across multiple domains in ps multishop.  Now with other module I have to select a specific shop in order to update short/long prod.  description.

 

Knowing that this module is ps multishop compliant would be comforting.  thanks, el

I am going to test this feature, but in case of this PRO version was not compatible with multishop, then I can release new version with this feature fixed, but always on PRO version. Free version just stopped to new releases. My time will be spent only in PRo version to improve it.

Edited by JoaquinBM (see edit history)

Share this post


Link to post
Share on other sites

I am going to test this feature, but in case of this PRO version was not compatible with multishop, then I can release new version with this feature fixed, but always on PRO version. Free version just stopped to new releases. My time will be spent only in PRo version to improve it.

 

understood...let me know how it goes...well help you get a true 'pro' version. happy day, el

Share this post


Link to post
Share on other sites

understood...let me know how it goes...well help you get a true 'pro' version. happy day, el

 

If you have multishops, Can you test with Free version of this module?, so the main sctructure of both modules (free and pro versions) are similar, then If the free version is compatible with multishop, therefore the Pro version will be also compatible.

 

It is easier be tested by an user with multishops installed than me.

 

Please, report me when you have tested it.

 

Thanks!

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Hi all,

 

Here we are my little free project and very useful to get the TinyMCE editor fully with more buttons, features, new looks, plugins, and with optimized html code.

 

The Prestashop default editor comes very simple, with no much features, fews buttons, hidden functions, etc... When we edit a content, we can find some difficulties to do it, and we haven't got very useful functions we need at time to edit. With this module you get all features you need, all buttons you need to edit, useful plugins, and so much more...

 

** This module is designed for Prestashpo version 1.6.0.12 and newest 1.6.1.X

 

 

INSTALLATION

 

Installation as usual in Prestashop. You have the option to upload the module from Back-office or with manual method copying files by FTP.

 

IMPORTANT

 

- If you update your Prestashop version, you will need restart the module or unistall and the install again, so the module will copy the files again. (next versions we add the function to do it this automatically).

 

- After module installs you need to refresh your browser and clean browser cache with CTRL+F5, otherwise, maybe chages will not have effects.

 

- If you have a module version older than V2.7.5 you must unistall previous version before installing new version.

 

 

 

SuperTinyMCE (free version)

 

 

attachicon.gifSupertinymce.jpg

 

 

Features

 

- Automatic installation. You don't have to copy and override files manually.

- Makes backup copy of original Prestashop files and save them in supertinymce/backup/. When you unistall the module this files are restored.

- Plugins added.

- Customized skin.

- Functions added.

- Optimized editor.

- Customized settings.

- Added compatibility with Shortcode modules (on sale in Codecanyon.net)

 

 

DOWNLOAD MODULE

 

 

 

CHANGELOG

 

 

Version 2.7.6.6 (20/09/2015)

 

- [ADD] Code improvements to show a warning if you don't have the css code essential to work with Fontawesome and give instructions to add it.

- [ADD] Code improvements to show a warning if you install the Boostrap shortcode module (codecanyon.net) after installing this module, then I gives you instructions to override a essential file.

 

 

Version 2.7.6.5 (20/09/2015)

 

- [ADD] Code improvements to show a warning if the essential file of this module is lost or code corrupted.

 

 

Version 2.7.6 (20/09/2015)

 

- [ADD] Improvements in the editor content.

  • Extended contextmenu.
  • Statusbar enabled
  • Resize property enabled (to resize both, vertically and horizontally)
  • Css optimized for full page editor
  • Buttons placed in order and extended functions

- [ADD] More font size in the dropdown.

- [FIX] Contextmenu issues

- [ADD] Function to add the code in the existing Validate.php override file instead to override it.

- [ADD] Function to get a warning message if the file Validate.php is missed or corrupted

- [ADD] Clean cache (Smarty, Compile and theme cache) After installing and before installing.

- [FIX] Visual issues in themes with no .fa code in global.css essential to see Fontawesome icons

 

- [ADD] New plugins

.Fontawesome

.Imagefromweb (you can upload images from another websites and these are saved in the folder img/cms/imagesfromweb .created by this module automatically).

.Localautosave (Save content meanwhile you are editing, ready to save up to 15 backup files in local. You can restore the content in case of browser refresh or crash).

.Idv.cards (cards icons)

.Smileys (emoticons)

.fullpage (add fields for author,metas,description, etc.. information)

.wordcount (It counts the words written in the editor. It is located at right-footer of the editor)

.Fiedlsetcontrol ( a spoiler)

 

- [COMPATIBLE]  with "Shortcode Prestashop" module and "Boostrap Shortcode", you can buy it in codecanyon.net.

- [ADD] New Skin "pepper-grinder".

- Source code improvements.

- Compatible for PS1.6.0.12 and PS1.6.1.X

 

 

SuperTinyMCE PRO

 

**You can buy this module HERE

 

Features

 

- Automatic installation. You don't have to copy and override files manually.

- Makes backup copy of original Prestashop files and save them in supertinymce/backup/. When you unistall the module this files are restored.

- Plugins added.

- Customized 5 skins.

- Features added.

- Optimized editor.

- FULL configuration page in Back-office for advanced users.

- Based on Automatic code generator to change the editor with parameters selected.

- Buttons to clean cache and restore default configuration.

- Compatibility improvements.

- Compatible with all versions PS 1.6.

- Based on last version of TinyMCE 4.2.6

- Fontawesome plugin bug fixed.

- FULL UNINSTALL FEATURE (Clean all files and restore all original files when uninstalling the module).

- Image toolbar plugin.

- Demo editor to show changes in same BO configuration page.

- Multi-language editor selector.

- Module language (english and spanish)

- Added compatibility with Shortcode modules (on sale in Codecanyon.net)

 

 

SCREENSHOTS

 

There are more configuration parameters that are not shown in the screenshots

 

attachicon.gifadvanced buttons.jpg attachicon.gifadvanced parameters.jpg attachicon.gifcode generator.jpg attachicon.gifCompatible plugins.jpg attachicon.gifconfiguration.jpg attachicon.gifEssential plugins.jpg attachicon.gifhtml parameters.jpg attachicon.gifmain settings.jpg attachicon.gifsave configuration.jpg

 

 

SKINS

 

attachicon.gifbusiness.png attachicon.gifdark.png attachicon.gifpepper-grinder.pngattachicon.gifpinky.png

In pro version I see that there are color scheme change feature otherwise all features are same as normal version, will this work with PS 1.6.1?

Share this post


Link to post
Share on other sites

In pro version I see that there are color scheme change feature otherwise all features are same as normal version, will this work with PS 1.6.1?

Hi,

 

sorry, but you are wrong. The main feature in PRO version is that there is a FULL CONFIGURATION PAGE, where you can change parameters to customize your editor, enabling or disabling plugins and features.

 

Also This version has more features than FREE version (it is obvious).

 

Depending of sales volume we are thinking about add more buttons and more plugins..in future versions.

 

You can access to demo shop to test it! go to the link in the main post and test it!

 

COMPATIBLE WITH ALL PS 1.6.X

Edited by JoaquinBM (see edit history)

Share this post


Link to post
Share on other sites

Also the version of TinyMCE is the last one released. The free version uses the same version of TinyMCE included in Prestashop.

To adapt to the new version of TinyMCE, we have modified the code and this work in included in the PRO version.

Share this post


Link to post
Share on other sites
  • 3 weeks later...
  • 4 weeks later...

error after I click install in the back office

supertinymce : 

  The version of your module is not compliant with your PrestaShop version.

 As It says:

** This module is designed for Prestashpo version 1.6.0.12 and newest 1.6.1.X

 

If your Prestashop version is not between these versions then you cannot install the module.

 

I have released the PRO version compatible with all PS 1.6 versions. You can buy it by clicking link in the fist post.

 

Best regards!

Share this post


Link to post
Share on other sites
  • 2 weeks later...

We inform that our module SuperTinyMCE Pro version has been approved and validated by Prestashop team. Will be soon on sale in Prestashop addons.

 

Merry Christmas!

  • Like 1

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Working perfect with PS 1.6.1.4, with Simple Blog + Shortcode

Funcionando perfecto en PS 1.6.1.4 con Simple Blog + Shortcode.

 

Gracias ;)

 

Try to test Pro version in demo shop.

Share this post


Link to post
Share on other sites

Hi Joaquain,

 

I just wonder whether the module free version  

has any effect upon i removed the module ?

 

Observation :  i see that list of changed files appear in the BO > configuration information as listed below :

  • classes/controller/AdminController.php
  • js/tiny_mce/tinymce.min.js
  • js/tiny_mce/plugins/contextmenu/plugin.min.js

Share this post


Link to post
Share on other sites

 

Hi Joaquain,

 

I just wonder whether the module free version  

has any effect upon i removed the module ?

 

Observation :  i see that list of changed files appear in the BO > configuration information as listed below :

  • classes/controller/AdminController.php
  • js/tiny_mce/tinymce.min.js
  • js/tiny_mce/plugins/contextmenu/plugin.min.js

 

Hi,

 

This module install some files and overrride someones. But always make a backup of original files, and once unistall, these original files are restored.

 

This module doesn't modify any file located in classes/controller/aAdminController.php

 

The PRO version is a version totally improved, with buttons to clean cache, restore default settings, etc... and Backoffice configuration page.

 

We recommend this PRO version. In our website we have this module  for sale 15€. In Prestashop Addons, the price is a little rised.

 

http://www.liewebs.com/tienda/es/

 

For demo Shop:

http://www.liewebs.com/demo-shop/admin-demo

 

Email: demo@demo.es

Pass: demodemo

 

We do not give support for FREE version. We only give full support for PRO version.

 

Best regards!

Share this post


Link to post
Share on other sites

Hi,

 

I've found a problem with french translation.

I've copied prestashop\js\tiny_mce\plugins\localautosave\langs\en.js to fr.js and same on prestashop\js\tiny_mce\plugins\fontawesome\langs

 

Else, the plugin don't work.

 

Thx a lot for this module.

Edited by 2FR3 (see edit history)

Share this post


Link to post
Share on other sites

Hi,

 

we are happy to confirm you that our SuperTinyMCE PRO version has been approved in Prestashop Addons, and you can find it in:

 

http://addons.prestashop.com/es/herramientas-administrativas/20940-supertinymce-pro-editor-profesional.html

 

If the sales was increased, then we will develop more functions and features of this Pro version.

 

Hi,

 

i want to try the pro version but login aren't ok... (demo@demo.com / demodemo), why ?

 

I need some option to organise image in my page, it's possible wtih the pro version ?

 

Thx ! 

Share this post


Link to post
Share on other sites
  • 2 weeks later...

Hi,

 

i want to try the pro version but login aren't ok... (demo@demo.com / demodemo), why ?

 

I need some option to organise image in my page, it's possible wtih the pro version ?

 

Thx ! 

 

hi,

 

sorry for the delay to reply. Now you can test it in demo shop with that credentials.

 

The editor has a plugin called imagetools with a toolbar to edit the images and more options but I don't know If this plugin complies your requirements. You can test it in demo shop.

Share this post


Link to post
Share on other sites

Hi,

 

I've found a problem with french translation.

I've copied prestashop\js\tiny_mce\plugins\localautosave\langs\en.js to fr.js and same on prestashop\js\tiny_mce\plugins\fontawesome\langs

 

Else, the plugin don't work.

 

Thx a lot for this module.

 

 

 

Are you using FREE version or PRO version?

 

In PRO version we have included languages and possibility to choose your editor language. Maybe It fix your issue in FREE version. Because the language file for french is fr_FR.js not fr.js

We have included in PRO version 3.1.5 a SPELLCHECKER and more plugins, options and new skins.

  • Like 1

Share this post


Link to post
Share on other sites

We inform that our module SuperTinyMCE Pro version has been approved and validated by Prestashop team. Will be soon on sale in Prestashop addons.

 

Merry Christmas!

 

good work!  

  • Like 1

Share this post


Link to post
Share on other sites

Are you using FREE version or PRO version?

 

In PRO version we have included languages and possibility to choose your editor language. Maybe It fix your issue in FREE version. Because the language file for french is fr_FR.js not fr.js

We have included in PRO version 3.1.5 a SPELLCHECKER and more plugins, options and new skins.

It was the free version.

Share this post


Link to post
Share on other sites
  • 2 weeks later...

i desire open the video in the fancybox, example a my wordpress page http://www.wood-fired-pizza-oven.us/wood-fire-oven-indoor-outdoor-portable/

 

Hi,

 

PRO version you have a lot of possibilities to configure the editor and more plugins. In PRO version you can write javascripts codes in the editor, even you can create class for links. For example you can create button class with css method (in a text area designed for this in the configuration page)and then when you add a link you can assign the button class created.

 

Wehn you say Fancybox I think you mean popup windows. It requires to build it with php and javascripts codes, therefore with any Tinymce editor it is not possible to do it.

 

But you can test PRO version in the following link:

 

http://www.liewebs.com/demo-shop/admin-demo/

 

Email: demo@demo.com

Pass:demodemo

Share this post


Link to post
Share on other sites
  • 5 months later...
  • 2 weeks later...

Hi, 

 

Was this module tested with AppPageBuilder ? 

 

Hi,

AppPageBuilder uses his own editor, but I am trying to get the way to be compatible with my module to add my editor in this plugin. In the new version of PRO version I will implement this feature.

Share this post


Link to post
Share on other sites
  • 3 weeks later...
  • 2 months later...

Hello, awesome module, I tried to install but got this error:
 

Duplicate entry '2-82' for key 'PRIMARY'
 

			INSERT INTO `ps_module_access` (`id_profile`, `id_module`, `view`, `configure`, `uninstall`) (				SELECT id_profile, 82, 1, 1, 1				FROM ps_access a				WHERE id_tab = (					SELECT `id_tab` FROM ps_tab					WHERE class_name = 'AdminModules' LIMIT 1)				AND a.`view` = 1)

Share this post


Link to post
Share on other sites

BUG

Hello i just bought your module today and discovered a missing Lang file.

This made the editor not dispay at all:

i got an error message in Console F12 about a missing langs file

 

"sv.js"

So i just copied "en.js" and renamed it to sv.js and it works.
But would be good to either update this to correct language or atleast ad the sv.js.

Also i found that the font.css calls for alot of external fonts 1001 to be excact and all of them are called for in http while many of us shopowners are using a https connection so we get over 1000 errors in console wich can affect our SEO score by google. As this is in admin it should not but you never know, atleast the fonts are not loaded so a good https value would be good to use here.  Either set them by default to https or make an function for the script to notice if the shop uses ssl or not. But easiest is to use https by default as the site cant see if the ssl certificate is valid or not from gstatic.

 

http://fonts.gstatic.com/s/chauphilomeneone/v5/KKc5egCL-a2fFVoOA2x6tNV4OGgus0ZZuirbv7NZEHQ.woff2

Should instead be loaded over https

Otherwise you get this
Mixed Content: The page at 'https://SHOPURL.COM/ADMINURL/index.php?controller=AdminCmsContent&id_cms=4&updatecms&token=4a3a0818a57e8c62a615cbe506181195' was loaded over HTTPS, but requested an insecure font 'http://fonts.gstatic.com/s/cevicheone/v7/BQRygZwg3wyGCQXvKfUbSY4P5ICox8Kq3LLUNMylGO4.woff2'. This request has been blocked; the content must be served over HTTPS.



Thank you.

Share this post


Link to post
Share on other sites

Ok there seems to be even more missing files.

These missing files makes the editor not show in PS 1.6.1.7

 

VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/localautosave/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/bootstrap/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/youtube/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/codemirror/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/fontawesome/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
Edited by rfourt (see edit history)

Share this post


Link to post
Share on other sites

 

Hello, awesome module, I tried to install but got this error:

 

Duplicate entry '2-82' for key 'PRIMARY'

 

			INSERT INTO `ps_module_access` (`id_profile`, `id_module`, `view`, `configure`, `uninstall`) (				SELECT id_profile, 82, 1, 1, 1				FROM ps_access a				WHERE id_tab = (					SELECT `id_tab` FROM ps_tab					WHERE class_name = 'AdminModules' LIMIT 1)				AND a.`view` = 1)

 

Hi,

 

What module version are you trying to install, PRO or FREE?. This message means that you have another module with this 82 id. Maybe You had installed this module previously, and uninstallation was not success for any reason and then in your ps_module_access you have duplicated entry. You have to access to your Data Base and see in ps_module table and ps_module_access table what module has 82 as id_module.

 

Best regards

Share this post


Link to post
Share on other sites

 

Ok there seems to be even more missing files.

 

These missing files makes the editor not show in PS 1.6.1.7

 

 

VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/localautosave/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/bootstrap/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/youtube/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/codemirror/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4
VM4838:4 GET https://SHOPURL.COM/modules/supertinymcepro/libs/tinymce/plugins/fontawesome/langs/sv.js e @ VM4838:4(anonymous function) @ VM4838:4n @ VM4838:3p @ VM4838:4(anonymous function) @ VM4838:4i @ VM4838:4

 

 

Hi,

 

wait, please don't modify any file!. About language missing file, that IS NOT A BUG. Please read user manual before do anything.

 

This means that some plugins are not built in your language "Swedish (Sweden)", for that these plugins haven't got the file sv.js in langs folder.

 

Only the editor has a lot of languages to set, but plugins not, and the editor calls the same language plugin's file which is configured in. You should configure editor language to set English(universal) to be compatible with all plugins and not having javascript conflics due missing language file. This info is shown in module configuration page. If you set editor language in "English Universal" then everything will work properly. If you want to use your local language with no conflicts, then you have to add sv.js file in every plugin's langs folder and make the translation manually.

 

NOTE: There are a lot of local languages in the world, It is very hard task translate each plugin in all languages:

http://archive.tinymce.com/i18n/

 

About HTTPS url un google fonts. This feature is just implemented in new version of my module that is under verification by Prestashop addons staff. I think in few days will be available to download. If you want, send me a message "support ticket" from Prestashpo addons website and I will send you last version of my module.

 

NOTE: Please read user manual before modifying anything.

 

Best regards!

Share this post


Link to post
Share on other sites

For new releases in one month aproximately I will implement:

 

- More professional plugins into editor

- Prestashop 1.7 compatibility

- More skins

- New TinyMce version updated

- More options in configuration page

- diccionary language improvements

- .......And more.

 

This module is the final solution to get a great editor with many features, plugins, more than 600 font families, etc.. to build your catalogue without restrictions using all features.

 

Best regards!

Share this post


Link to post
Share on other sites

THanks man.. yea i saw that about language.. :) 

no problem i got it fixed.


Anyhow. I got a new problem.

Im using your module in a development folder on my server for my new version of my shop.

So my URL is  myshop.com/develop/

And i have some problems with images in the editor apear as "question marks" after i activate your module.

Because my new webshop is in development i have it in the url: https://myshop.com/develop/
And in my productpages i tend to use alot of descriptions and images and when i add a image via the editor "add image" prestashop wants to put in the whole url to that image, meaning the url becomes: https://myshop.com/develop/img/cms/folder/image.jpg

Which is really tyering because i have to go into the code after i finish editing and change that url to: " ../img/cms/folder/image.jpg"

Anyway.. Now all those images with the url: ../img/cms/folder/image.jpg are broken in your module with a "Question Mark"

with normal tinymce editor they show up fine.

So i have tried to make some changes in your settings about base url etc etc but i cant get it to work.. Either they show up as "question Mark" or they show up as broken images.

With default settings in your module it looks like the url: "../img/cms/image.jpg"  tries to get the image from the module url.

please help. Its work day tomorrow and i really want this module to work for the editors tomorrow.  

Thank you.

 

Share this post


Link to post
Share on other sites

THanks man.. yea i saw that about language.. :) 

 

no problem i got it fixed.

 

 

Anyhow. I got a new problem.

 

Im using your module in a development folder on my server for my new version of my shop.

 

So my URL is  myshop.com/develop/

 

And i have some problems with images in the editor apear as "question marks" after i activate your module.

 

Because my new webshop is in development i have it in the url: https://myshop.com/develop/

And in my productpages i tend to use alot of descriptions and images and when i add a image via the editor "add image" prestashop wants to put in the whole url to that image, meaning the url becomes: https://myshop.com/develop/img/cms/folder/image.jpg

 

Which is really tyering because i have to go into the code after i finish editing and change that url to: " ../img/cms/folder/image.jpg"

 

Anyway.. Now all those images with the url: ../img/cms/folder/image.jpg are broken in your module with a "Question Mark"

with normal tinymce editor they show up fine.

 

So i have tried to make some changes in your settings about base url etc etc but i cant get it to work.. Either they show up as "question Mark" or they show up as broken images.

 

With default settings in your module it looks like the url: "../img/cms/image.jpg"  tries to get the image from the module url.

 

please help. Its work day tomorrow and i really want this module to work for the editors tomorrow.  

 

Thank you.

 

 

 

Hi,

 

this is a issue related with relative urls. Only one customer more had same problem as you. But in the rest shops It is working ok. I need to go into your BO and fTP to check it and fix it. And update to the new module version in advance.

 

Please send me a support ticket from Prestashop addons and give me credentials to access BO and FTP. I will fix for you today.

 

Also I would like you to leave a feedback in Prestashpo addons about my module and my support. This information is helpful for another customers. Mostly because I am giving support even sundays and festival days ;-).

 

Best regards!

Share this post


Link to post
Share on other sites